public static interface DockerEndpointBuilderFactory.DockerBuilders
| Modifier and Type | Method and Description |
|---|---|
default DockerEndpointBuilderFactory.DockerEndpointBuilder |
docker(String path)
Docker (camel-docker)
Manage Docker containers.
|
default DockerEndpointBuilderFactory.DockerEndpointBuilder |
docker(String componentName,
String path)
Docker (camel-docker)
Manage Docker containers.
|
default DockerEndpointBuilderFactory.DockerEndpointBuilder docker(String path)
docker:operation
Path parameter: operation (required)
Which operation to use
There are 37 enums and the value can be one of: events, stats, auth,
info, ping, version, imagebuild, imagecreate, imageinspect,
imagelist, imagepull, imagepush, imageremove, imagesearch, imagetag,
containerattach, containercommit, containercopyfile, containercreate,
containerdiff, inspectcontainer, containerkill, containerlist,
containerlog, containerpause, containerrestart, containerremove,
containerstart, containerstop, containertop, containerunpause,
containerwait, execcreate, execstart, networkconnect, networkcreate,
networkremovepath - operationdefault DockerEndpointBuilderFactory.DockerEndpointBuilder docker(String componentName, String path)
docker:operation
Path parameter: operation (required)
Which operation to use
There are 37 enums and the value can be one of: events, stats, auth,
info, ping, version, imagebuild, imagecreate, imageinspect,
imagelist, imagepull, imagepush, imageremove, imagesearch, imagetag,
containerattach, containercommit, containercopyfile, containercreate,
containerdiff, inspectcontainer, containerkill, containerlist,
containerlog, containerpause, containerrestart, containerremove,
containerstart, containerstop, containertop, containerunpause,
containerwait, execcreate, execstart, networkconnect, networkcreate,
networkremovecomponentName - to use a custom component name for the endpoint
instead of the default namepath - operationApache Camel